Debian Bug report logs - #630477
Switch speech synthesis

version graph

Package: localechooser; Maintainer for localechooser is Debian Install System Team <debian-boot@lists.debian.org>; Source for localechooser is src:localechooser.

Reported by: Samuel Thibault <sthibault@debian.org>

Date: Tue, 14 Jun 2011 11:27:31 UTC

Severity: normal

Found in version localechooser/2.37

Fixed in version localechooser/2.38

Done: Colin Watson <cjwatson@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#630477; Package localechooser. (Tue, 14 Jun 2011 11:27:34 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Thibault <sthibault@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Tue, 14 Jun 2011 11:27:39 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Samuel Thibault <sthibault@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Split localechooser in language then country to get speech synthesis right
Date: Tue, 14 Jun 2011 13:26:27 +0200
Package: localechooser
Version: 2.37
Severity: normal

Hello,

Software speech synthesis is now commited in d-i.  There is just a small
glitch left in the early steps of d-i:

- the language question gets asked in english, software speech asks it with an
  english voice
- the country question gets asked in the selected language, software
  speech asks it with an english voice
- speech synthesis switches to the selected language+country voice.
- the rest proceeds completely in the selected language.

The issue here is that speech synthesis language switch should have a
chance to happen between language and country selection. The simplest
way would probably to split the localechooser in two, so that espeakup
can insert language selection in between. Another way would be to make
localechooser make a call to espeakup at the right time, but it looks
more complex for not much good reason.

Samuel

-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (990, 'testing'), (500, 'unstable'), (500, 'stable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.39 (SMP w/2 CPU cores)
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

-- 
Samuel Thibault <samuel.thibault@fnac.net>
N: beep beep Miam miam? 
y: ++
a: kill -MIAM -1




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#630477; Package localechooser. (Wed, 15 Jun 2011 12:09:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian PERRIER <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Wed, 15 Jun 2011 12:09:14 GMT) Full text and rfc822 format available.

Message #10 received at 630477@bugs.debian.org (full text, mbox):

From: Christian PERRIER <bubulle@debian.org>
To: 630477@bugs.debian.org
Subject: Re: Bug#630477: Split localechooser in language then country to get speech synthesis right
Date: Wed, 15 Jun 2011 07:25:28 +0200
[Message part 1 (text/plain, inline)]
Quoting Samuel Thibault (sthibault@debian.org):
> Package: localechooser
> Version: 2.37
> Severity: normal
> 
> Hello,
> 
> Software speech synthesis is now commited in d-i.  There is just a small
> glitch left in the early steps of d-i:
> 
> - the language question gets asked in english, software speech asks it with an
>   english voice
> - the country question gets asked in the selected language, software
>   speech asks it with an english voice
> - speech synthesis switches to the selected language+country voice.
> - the rest proceeds completely in the selected language.
> 
> The issue here is that speech synthesis language switch should have a
> chance to happen between language and country selection. The simplest
> way would probably to split the localechooser in two, so that espeakup

Let's jump 6 years in the past..:-)

When I merged languagechooser and countrychooser, there was a reason:
both notions are quite strongly interconnected:the language selection
affects the country selection and, if you look at the localechooser
code, you'll see that both are really highly tight together.

So, at very first glance, I really doubt that splitting is easy and
I'm sure that it would lead to breakage in many many subtle ways which
we would of course discover at release time.

So, while I'm as supportive as I can for the accessibility features, I
can't support them breaking this (probably quite fragile) construction
that's localechooser script.

I suggest other ways to be explored such as introducing some changes
in localechooser script to switch voice after the language is chosen.


[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#630477; Package localechooser. (Tue, 28 Jun 2011 00:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Thibault <sthibault@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Tue, 28 Jun 2011 00:09:03 GMT) Full text and rfc822 format available.

Message #15 received at 630477@bugs.debian.org (full text, mbox):

From: Samuel Thibault <sthibault@debian.org>
To: Christian PERRIER <bubulle@debian.org>, 630477@bugs.debian.org
Subject: Re: Bug#630477: Switch speech synthesis
Date: Tue, 28 Jun 2011 02:07:36 +0200
[Message part 1 (text/plain, inline)]
retitle 630477 Switch speech synthesis
thanks

Hello,

Christian PERRIER, le Wed 15 Jun 2011 07:25:28 +0200, a écrit :
> introducing some changes in localechooser script to switch voice after
> the language is chosen.

Ok, does the attached patch sound sane? (it does work in my tests at least)

There is one glitch in the main menu BTW. I don't know if it is on
purpose that the language question is always asked in english, but the
title is asked in the previously-selected language, which makes some
sort of mixture. I mean for instance:

- boot the installer
- choose the french language
- don't choose a country, go back to language question
- the debconf title for language question is in french, while the
  actual question is in english.

In my patch, I make localechooser switch back to english for the
language question, even if the title is in the local language. Should I
keep it so?

Samuel
[patch (text/plain, attachment)]

Changed Bug title to 'Switch speech synthesis' from 'Split localechooser in language then country to get speech synthesis right' Request was from Samuel Thibault <sthibault@debian.org> to control@bugs.debian.org. (Tue, 28 Jun 2011 00:09:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#630477; Package localechooser. (Tue, 28 Jun 2011 09:06:18 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian PERRIER <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Tue, 28 Jun 2011 09:06:22 GMT) Full text and rfc822 format available.

Message #22 received at 630477@bugs.debian.org (full text, mbox):

From: Christian PERRIER <bubulle@debian.org>
To: Samuel Thibault <sthibault@debian.org>
Cc: 630477@bugs.debian.org
Subject: Re: Bug#630477: Switch speech synthesis
Date: Tue, 28 Jun 2011 07:12:56 +0200
[Message part 1 (text/plain, inline)]
Quoting Samuel Thibault (sthibault@debian.org):

> Ok, does the attached patch sound sane? (it does work in my tests at least)


I didn't answer the question directly in my previous answer.

Yes it sounds sane, so you're welcome to apply it (and even upload if
you wish...no problem for me). Thanks for this great work. I have to
try out this speech synthesis thing some day. That's indeed
interesting to have an accessibility thing that everybody can see
(^Whear)the benefit of.

It probably even makes a great demo. Could we imagine, some day,
having this combined with a voice-command interface?




[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#630477; Package localechooser. (Tue, 28 Jun 2011 10:51:36 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian PERRIER <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Tue, 28 Jun 2011 10:51:38 GMT) Full text and rfc822 format available.

Message #27 received at 630477@bugs.debian.org (full text, mbox):

From: Christian PERRIER <bubulle@debian.org>
To: 630477@bugs.debian.org
Subject: Re: Bug#630477: Switch speech synthesis
Date: Tue, 28 Jun 2011 06:54:08 +0200
[Message part 1 (text/plain, inline)]
Quoting Samuel Thibault (sthibault@debian.org):

> There is one glitch in the main menu BTW. I don't know if it is on
> purpose that the language question is always asked in english, but the
> title is asked in the previously-selected language, which makes some
> sort of mixture. I mean for instance:
> 
> - boot the installer
> - choose the french language
> - don't choose a country, go back to language question
> - the debconf title for language question is in french, while the
>   actual question is in english.
> 
> In my patch, I make localechooser switch back to english for the
> language question, even if the title is in the local language. Should I
> keep it so?

Yes, that's OK. localechooser's choices are always in English and the
menu text is not translatable, on purpose. The point is allowing
someone to come back in case (s)he picked the wrong language...and
still have something understandable..:)

A side effect was the situation you mention. It never bothered us
enough to include a hack to switch everything back to English prior to
the 2nd menu display....

So, imho, keep your patch as is. 






[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#630477; Package localechooser. (Tue, 28 Jun 2011 12:15:30 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Thibault <sthibault@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Tue, 28 Jun 2011 12:15:33 GMT) Full text and rfc822 format available.

Message #32 received at 630477@bugs.debian.org (full text, mbox):

From: Samuel Thibault <sthibault@debian.org>
To: Christian PERRIER <bubulle@debian.org>
Cc: 630477@bugs.debian.org
Subject: Re: Bug#630477: Switch speech synthesis
Date: Tue, 28 Jun 2011 14:11:55 +0200
Christian PERRIER, le Tue 28 Jun 2011 07:12:56 +0200, a écrit :
> Could we imagine, some day, having this combined with a voice-command
> interface?

Generic-purpose voice recognition does not work very well. For
particular purpose it may work not so bad. We have very little libre
software for that, however.

Samuel




Reply sent to Colin Watson <cjwatson@debian.org>:
You have taken responsibility. (Fri, 29 Jul 2011 15:45:13 GMT) Full text and rfc822 format available.

Notification sent to Samuel Thibault <sthibault@debian.org>:
Bug acknowledged by developer. (Fri, 29 Jul 2011 15:45:13 GMT) Full text and rfc822 format available.

Message #37 received at 630477-close@bugs.debian.org (full text, mbox):

From: Colin Watson <cjwatson@debian.org>
To: 630477-close@bugs.debian.org
Subject: Bug#630477: fixed in localechooser 2.38
Date: Fri, 29 Jul 2011 15:42:58 +0000
Source: localechooser
Source-Version: 2.38

We believe that the bug you reported is fixed in the latest version of
localechooser, which is due to be installed in the Debian FTP archive:

localechooser_2.38.dsc
  to main/l/localechooser/localechooser_2.38.dsc
localechooser_2.38.tar.gz
  to main/l/localechooser/localechooser_2.38.tar.gz
localechooser_2.38_i386.udeb
  to main/l/localechooser/localechooser_2.38_i386.udeb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 630477@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Colin Watson <cjwatson@debian.org> (supplier of updated localechooser package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Fri, 29 Jul 2011 15:04:16 +0100
Source: localechooser
Binary: localechooser
Architecture: source i386
Version: 2.38
Distribution: unstable
Urgency: low
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Changed-By: Colin Watson <cjwatson@debian.org>
Description: 
 localechooser - choose language/country/locale (udeb)
Closes: 630477
Changes: 
 localechooser (2.38) unstable; urgency=low
 .
   [ Samuel Thibault ]
   * Switch espeakup language around language selection. Closes: #630477
 .
   [ Colin Watson ]
   * Make sure to fail the build if isoquery fails for some reason.
 .
   [ Updated translations ]
   * Hebrew (he.po) by Lior Kaplan
   * Macedonian (mk.po) by Arangel Angov
Checksums-Sha1: 
 4753b4b35a39ac9254393388cec9db7f22e25170 1681 localechooser_2.38.dsc
 2859e3c9d10ea41201c4f43dacc3c2d9ad8889b4 198752 localechooser_2.38.tar.gz
 9c824f1ec1207c60a334fa5bada521f4a9b64757 261806 localechooser_2.38_i386.udeb
Checksums-Sha256: 
 96b2eca613524e212e11656166437201332814784c0d5599f703272b63ad5346 1681 localechooser_2.38.dsc
 90889bf0f6a626cc2f19149ca2b7f6b69b78ca34727580e7410936e089762093 198752 localechooser_2.38.tar.gz
 df80da84cbe0fe73f7a231ce5b854f0e4c4e070cf846fdab8090afabc1021ae4 261806 localechooser_2.38_i386.udeb
Files: 
 89cb3f53d9e418100041c3154a14badf 1681 debian-installer optional localechooser_2.38.dsc
 b54ac4ebc6117e1d4450f3527f3a9b38 198752 debian-installer optional localechooser_2.38.tar.gz
 0dc1711df0f21cb96cca1422de7e83e3 261806 debian-installer optional localechooser_2.38_i386.udeb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)
Comment: Colin Watson <cjwatson@debian.org> -- Debian developer

iQIVAwUBTjK+6Tk1h9l9hlALAQjX+Q/+P5XVCyAQb0gzJ7YrMs2bK+bIisf7ku5W
gKhgm1mCh6OZ/InDxxqh9bqrgXpep3Nv80TDftynWBOZ/0lQ+8RgmyLqi20pz5PD
611bvqHg9g7zlv1L7XhUEHUfEK9TgDMcKzPy3mPT7gfw8YnLWuqJzdFEVIJFLeHO
jmrh8mHBeW/BkmatrPEZwIDoFLSae150aELU6cB+0x7nW8F2O6hNp25KWeNDQ/XY
IIc3pA0MEXi4iqwn3QiS76LnBkFxwNJuxZMeh3h/UDrvJ6AHtVTAL9EF4GumxOUc
R0E+wxd/vPNab/pxAok8/uFpf7crfYXzffaEU9azhjlzBiUkyfqsKdzh4TkjA2cl
vkkqF1+EdE0WE4cbYVQ5CRZyje+tIulGW/URGtpJr9W19WOS6Pvkh3WFad/Ms4yU
w307ijpqSMA6Ol5r0YIRKwPfjkr8sVhQIOJMFKi4C+HieI+Ld9bNjRcs8NsnFurB
66E+nTgIEDu2qeJamZKBu4c+/QQIbapZGz5u2r00iKAQmULZe+a94P1jczXjEaOq
ACDG3auosWK367T41F5cEgNchcBj3agPjc5YhKnacV2fc+XddYLc0ljLyVgSRdUw
Guhmyae/Z+Mb6eoRVSCERkdnAdog78Gy4HB+wgsu2V9QbqU9p5Ngb4q54YTExL1d
ZOXCZTzAPpY=
=MKwP
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 09 Sep 2011 07:34:07 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 10:40:22 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.